Package de.gebit.integrity.dsl.impl

## Class DslFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - de.gebit.integrity.dsl.impl.DslFactoryImpl

- All Implemented Interfaces:
    `DslFactory`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory`

      public class DslFactoryImpl
      extends org.eclipse.emf.ecore.impl.EFactoryImpl
      implements DslFactory

  An implementation of the model Factory.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `EDATE_FORMATS, ePackage`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface de.gebit.integrity.dsl.DslFactory

      `eINSTANCE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DslFactoryImpl()` | Creates an instance of the factory.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.ecore.EObject` | `create​(org.eclipse.emf.ecore.EClass eClass)`
    `ArbitraryParameterOrResultName` | `createArbitraryParameterOrResultName()`
    `BooleanValue` | `createBooleanValue()`
    `Call` | `createCall()`
    `CallDefinition` | `createCallDefinition()`
    `Constant` | `createConstant()`
    `ConstantDefinition` | `createConstantDefinition()`
    `ConstantEntity` | `createConstantEntity()`
    `ConstantValue` | `createConstantValue()`
    `CustomOperation` | `createCustomOperation()`
    `DateAndTimeValue` | `createDateAndTimeValue()`
    `DateValue` | `createDateValue()`
    `DecimalValue` | `createDecimalValue()`
    `DocumentationComment` | `createDocumentationComment()`
    `Empty` | `createEmpty()`
    `EmptyValue` | `createEmptyValue()`
    `EnumValue` | `createEnumValue()`
    `EuropeanDateAnd12HrsTimeValue` | `createEuropeanDateAnd12HrsTimeValue()`
    `EuropeanDateAnd24HrsTimeValue` | `createEuropeanDateAnd24HrsTimeValue()`
    `EuropeanDateValue` | `createEuropeanDateValue()`
    `ExecutionMultiplier` | `createExecutionMultiplier()`
    `FixedParameterName` | `createFixedParameterName()`
    `FixedResultName` | `createFixedResultName()`
    `ForkDefinition` | `createForkDefinition()`
    `ForkParameter` | `createForkParameter()`
    `Import` | `createImport()`
    `Inexistent` | `createInexistent()`
    `InexistentValue` | `createInexistentValue()`
    `IntegerValue` | `createIntegerValue()`
    `IsoDateAndTimeValue` | `createIsoDateAndTimeValue()`
    `IsoDateValue` | `createIsoDateValue()`
    `IsoTimeValue` | `createIsoTimeValue()`
    `JavaClassReference` | `createJavaClassReference()`
    `JavaConstantReference` | `createJavaConstantReference()`
    `JavaConstantValue` | `createJavaConstantValue()`
    `KeyValuePair` | `createKeyValuePair()`
    `MethodReference` | `createMethodReference()`
    `Model` | `createModel()`
    `NamedCallResult` | `createNamedCallResult()`
    `NamedResult` | `createNamedResult()`
    `NestedObject` | `createNestedObject()`
    `Null` | `createNull()`
    `NullValue` | `createNullValue()`
    `Operation` | `createOperation()`
    `OperationDefinition` | `createOperationDefinition()`
    `PackageDefinition` | `createPackageDefinition()`
    `PackageStatement` | `createPackageStatement()`
    `Parameter` | `createParameter()`
    `ParameterName` | `createParameterName()`
    `ParameterTableHeader` | `createParameterTableHeader()`
    `ParameterTableValue` | `createParameterTableValue()`
    `RegexValue` | `createRegexValue()`
    `ResultName` | `createResultName()`
    `ResultTableHeader` | `createResultTableHeader()`
    `Simple12HrsTimeValue` | `createSimple12HrsTimeValue()`
    `Simple24HrsTimeValue` | `createSimple24HrsTimeValue()`
    `StandardOperation` | `createStandardOperation()`
    `Statement` | `createStatement()`
    `StaticValue` | `createStaticValue()`
    `StringValue` | `createStringValue()`
    `Suite` | `createSuite()`
    `SuiteDefinition` | `createSuiteDefinition()`
    `SuiteParameter` | `createSuiteParameter()`
    `SuiteParameterDefinition` | `createSuiteParameterDefinition()`
    `SuiteReturn` | `createSuiteReturn()`
    `SuiteReturnDefinition` | `createSuiteReturnDefinition()`
    `SuiteStatement` | `createSuiteStatement()`
    `SuiteStatementWithResult` | `createSuiteStatementWithResult()`
    `TableTest` | `createTableTest()`
    `TableTestRow` | `createTableTestRow()`
    `Test` | `createTest()`
    `TestDefinition` | `createTestDefinition()`
    `TimeDifference` | `createTimeDifference()`
    `TimeProgressionFactor` | `createTimeProgressionFactor()`
    `TimeSet` | `createTimeSet()`
    `TimeValue` | `createTimeValue()`
    `TypedNestedObject` | `createTypedNestedObject()`
    `USDateAnd12HrsTimeValue` | `createUSDateAnd12HrsTimeValue()`
    `USDateValue` | `createUSDateValue()`
    `Value` | `createValue()`
    `ValueOrEnumValueOrOperation` | `createValueOrEnumValueOrOperation()`
    `ValueOrEnumValueOrOperationCollection` | `createValueOrEnumValueOrOperationCollection()`
    `Variable` | `createVariable()`
    `VariableAssignment` | `createVariableAssignment()`
    `VariableDefinition` | `createVariableDefinition()`
    `VariableEntity` | `createVariableEntity()`
    `VariableOrConstantEntity` | `createVariableOrConstantEntity()`
    `VariableVariable` | `createVariableVariable()`
    `VariantDefinition` | `createVariantDefinition()`
    `VariantValue` | `createVariantValue()`
    `VisibleComment` | `createVisibleComment()`
    `VisibleDivider` | `createVisibleDivider()`
    `VisibleMultiLineComment` | `createVisibleMultiLineComment()`
    `VisibleMultiLineNormalComment` | `createVisibleMultiLineNormalComment()`
    `VisibleMultiLineTitleComment` | `createVisibleMultiLineTitleComment()`
    `VisibleSingleLineComment` | `createVisibleSingleLineComment()`
    `VisibleSingleLineNormalComment` | `createVisibleSingleLineNormalComment()`
    `VisibleSingleLineTitleComment` | `createVisibleSingleLineTitleComment()`
    `DslPackage` | `getDslPackage()`
    `static DslPackage` | `getPackage()` | Deprecated.
    `static DslFactory` | `init()` | Creates the default factory implementation.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, convertToString, create, createFromString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Constructor Detail

    - #### DslFactoryImpl

          public DslFactoryImpl()

      Creates an instance of the factory.

  - ### Method Detail

    - #### init

          public static DslFactory init()

      Creates the default factory implementation.

    - #### create

          public org.eclipse.emf.ecore.EObject create​(org.eclipse.emf.ecore.EClass eClass)

      Specified by:
        `create` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

    - #### createModel

          public Model createModel()

      Specified by:
        `createModel` in interface `DslFactory`
      Returns:
        a new object of class 'Model'.

    - #### createStatement

          public Statement createStatement()

      Specified by:
        `createStatement` in interface `DslFactory`
      Returns:
        a new object of class 'Statement'.

    - #### createVisibleComment

          public VisibleComment createVisibleComment()

      Specified by:
        `createVisibleComment` in interface `DslFactory`
      Returns:
        a new object of class 'Visible Comment'.

    - #### createVisibleSingleLineComment

          public VisibleSingleLineComment createVisibleSingleLineComment()

      Specified by:
        `createVisibleSingleLineComment` in interface `DslFactory`
      Returns:
        a new object of class 'Visible Single Line Comment'.

    - #### createVisibleSingleLineNormalComment

          public VisibleSingleLineNormalComment createVisibleSingleLineNormalComment()

      Specified by:
        `createVisibleSingleLineNormalComment` in interface `DslFactory`
      Returns:
        a new object of class 'Visible Single Line Normal Comment'.

    - #### createVisibleSingleLineTitleComment

          public VisibleSingleLineTitleComment createVisibleSingleLineTitleComment()

      Specified by:
        `createVisibleSingleLineTitleComment` in interface `DslFactory`
      Returns:
        a new object of class 'Visible Single Line Title Comment'.

    - #### createVisibleMultiLineComment

          public VisibleMultiLineComment createVisibleMultiLineComment()

      Specified by:
        `createVisibleMultiLineComment` in interface `DslFactory`
      Returns:
        a new object of class 'Visible Multi Line Comment'.

    - #### createVisibleMultiLineNormalComment

          public VisibleMultiLineNormalComment createVisibleMultiLineNormalComment()

      Specified by:
        `createVisibleMultiLineNormalComment` in interface `DslFactory`
      Returns:
        a new object of class 'Visible Multi Line Normal Comment'.

    - #### createVisibleMultiLineTitleComment

          public VisibleMultiLineTitleComment createVisibleMultiLineTitleComment()

      Specified by:
        `createVisibleMultiLineTitleComment` in interface `DslFactory`
      Returns:
        a new object of class 'Visible Multi Line Title Comment'.

    - #### createVisibleDivider

          public VisibleDivider createVisibleDivider()

      Specified by:
        `createVisibleDivider` in interface `DslFactory`
      Returns:
        a new object of class 'Visible Divider'.

    - #### createPackageDefinition

          public PackageDefinition createPackageDefinition()

      Specified by:
        `createPackageDefinition` in interface `DslFactory`
      Returns:
        a new object of class 'Package Definition'.

    - #### createPackageStatement

          public PackageStatement createPackageStatement()

      Specified by:
        `createPackageStatement` in interface `DslFactory`
      Returns:
        a new object of class 'Package Statement'.

    - #### createImport

          public Import createImport()

      Specified by:
        `createImport` in interface `DslFactory`
      Returns:
        a new object of class 'Import'.

    - #### createForkDefinition

          public ForkDefinition createForkDefinition()

      Specified by:
        `createForkDefinition` in interface `DslFactory`
      Returns:
        a new object of class 'Fork Definition'.

    - #### createForkParameter

          public ForkParameter createForkParameter()

      Specified by:
        `createForkParameter` in interface `DslFactory`
      Returns:
        a new object of class 'Fork Parameter'.

    - #### createVariantDefinition

          public VariantDefinition createVariantDefinition()

      Specified by:
        `createVariantDefinition` in interface `DslFactory`
      Returns:
        a new object of class 'Variant Definition'.

    - #### createTestDefinition

          public TestDefinition createTestDefinition()

      Specified by:
        `createTestDefinition` in interface `DslFactory`
      Returns:
        a new object of class 'Test Definition'.

    - #### createCallDefinition

          public CallDefinition createCallDefinition()

      Specified by:
        `createCallDefinition` in interface `DslFactory`
      Returns:
        a new object of class 'Call Definition'.

    - #### createSuiteDefinition

          public SuiteDefinition createSuiteDefinition()

      Specified by:
        `createSuiteDefinition` in interface `DslFactory`
      Returns:
        a new object of class 'Suite Definition'.

    - #### createSuiteParameterDefinition

          public SuiteParameterDefinition createSuiteParameterDefinition()

      Specified by:
        `createSuiteParameterDefinition` in interface `DslFactory`
      Returns:
        a new object of class 'Suite Parameter Definition'.

    - #### createSuiteReturnDefinition

          public SuiteReturnDefinition createSuiteReturnDefinition()

      Specified by:
        `createSuiteReturnDefinition` in interface `DslFactory`
      Returns:
        a new object of class 'Suite Return Definition'.

    - #### createOperationDefinition

          public OperationDefinition createOperationDefinition()

      Specified by:
        `createOperationDefinition` in interface `DslFactory`
      Returns:
        a new object of class 'Operation Definition'.

    - #### createSuiteStatement

          public SuiteStatement createSuiteStatement()

      Specified by:
        `createSuiteStatement` in interface `DslFactory`
      Returns:
        a new object of class 'Suite Statement'.

    - #### createSuiteStatementWithResult

          public SuiteStatementWithResult createSuiteStatementWithResult()

      Specified by:
        `createSuiteStatementWithResult` in interface `DslFactory`
      Returns:
        a new object of class 'Suite Statement With Result'.

    - #### createVariableDefinition

          public VariableDefinition createVariableDefinition()

      Specified by:
        `createVariableDefinition` in interface `DslFactory`
      Returns:
        a new object of class 'Variable Definition'.

    - #### createConstantDefinition

          public ConstantDefinition createConstantDefinition()

      Specified by:
        `createConstantDefinition` in interface `DslFactory`
      Returns:
        a new object of class 'Constant Definition'.

    - #### createVariableAssignment

          public VariableAssignment createVariableAssignment()

      Specified by:
        `createVariableAssignment` in interface `DslFactory`
      Returns:
        a new object of class 'Variable Assignment'.

    - #### createVariantValue

          public VariantValue createVariantValue()

      Specified by:
        `createVariantValue` in interface `DslFactory`
      Returns:
        a new object of class 'Variant Value'.

    - #### createVariableEntity

          public VariableEntity createVariableEntity()

      Specified by:
        `createVariableEntity` in interface `DslFactory`
      Returns:
        a new object of class 'Variable Entity'.

    - #### createConstantEntity

          public ConstantEntity createConstantEntity()

      Specified by:
        `createConstantEntity` in interface `DslFactory`
      Returns:
        a new object of class 'Constant Entity'.

    - #### createVariableOrConstantEntity

          public VariableOrConstantEntity createVariableOrConstantEntity()

      Specified by:
        `createVariableOrConstantEntity` in interface `DslFactory`
      Returns:
        a new object of class 'Variable Or Constant Entity'.

    - #### createTest

          public Test createTest()

      Specified by:
        `createTest` in interface `DslFactory`
      Returns:
        a new object of class 'Test'.

    - #### createTableTest

          public TableTest createTableTest()

      Specified by:
        `createTableTest` in interface `DslFactory`
      Returns:
        a new object of class 'Table Test'.

    - #### createTableTestRow

          public TableTestRow createTableTestRow()

      Specified by:
        `createTableTestRow` in interface `DslFactory`
      Returns:
        a new object of class 'Table Test Row'.

    - #### createParameterTableHeader

          public ParameterTableHeader createParameterTableHeader()

      Specified by:
        `createParameterTableHeader` in interface `DslFactory`
      Returns:
        a new object of class 'Parameter Table Header'.

    - #### createResultTableHeader

          public ResultTableHeader createResultTableHeader()

      Specified by:
        `createResultTableHeader` in interface `DslFactory`
      Returns:
        a new object of class 'Result Table Header'.

    - #### createParameterTableValue

          public ParameterTableValue createParameterTableValue()

      Specified by:
        `createParameterTableValue` in interface `DslFactory`
      Returns:
        a new object of class 'Parameter Table Value'.

    - #### createNamedResult

          public NamedResult createNamedResult()

      Specified by:
        `createNamedResult` in interface `DslFactory`
      Returns:
        a new object of class 'Named Result'.

    - #### createResultName

          public ResultName createResultName()

      Specified by:
        `createResultName` in interface `DslFactory`
      Returns:
        a new object of class 'Result Name'.

    - #### createFixedResultName

          public FixedResultName createFixedResultName()

      Specified by:
        `createFixedResultName` in interface `DslFactory`
      Returns:
        a new object of class 'Fixed Result Name'.

    - #### createCall

          public Call createCall()

      Specified by:
        `createCall` in interface `DslFactory`
      Returns:
        a new object of class 'Call'.

    - #### createNamedCallResult

          public NamedCallResult createNamedCallResult()

      Specified by:
        `createNamedCallResult` in interface `DslFactory`
      Returns:
        a new object of class 'Named Call Result'.

    - #### createTimeSet

          public TimeSet createTimeSet()

      Specified by:
        `createTimeSet` in interface `DslFactory`
      Returns:
        a new object of class 'Time Set'.

    - #### createTimeProgressionFactor

          public TimeProgressionFactor createTimeProgressionFactor()

      Specified by:
        `createTimeProgressionFactor` in interface `DslFactory`
      Returns:
        a new object of class 'Time Progression Factor'.

    - #### createTimeDifference

          public TimeDifference createTimeDifference()

      Specified by:
        `createTimeDifference` in interface `DslFactory`
      Returns:
        a new object of class 'Time Difference'.

    - #### createSuite

          public Suite createSuite()

      Specified by:
        `createSuite` in interface `DslFactory`
      Returns:
        a new object of class 'Suite'.

    - #### createSuiteParameter

          public SuiteParameter createSuiteParameter()

      Specified by:
        `createSuiteParameter` in interface `DslFactory`
      Returns:
        a new object of class 'Suite Parameter'.

    - #### createSuiteReturn

          public SuiteReturn createSuiteReturn()

      Specified by:
        `createSuiteReturn` in interface `DslFactory`
      Returns:
        a new object of class 'Suite Return'.

    - #### createParameter

          public Parameter createParameter()

      Specified by:
        `createParameter` in interface `DslFactory`
      Returns:
        a new object of class 'Parameter'.

    - #### createParameterName

          public ParameterName createParameterName()

      Specified by:
        `createParameterName` in interface `DslFactory`
      Returns:
        a new object of class 'Parameter Name'.

    - #### createFixedParameterName

          public FixedParameterName createFixedParameterName()

      Specified by:
        `createFixedParameterName` in interface `DslFactory`
      Returns:
        a new object of class 'Fixed Parameter Name'.

    - #### createArbitraryParameterOrResultName

          public ArbitraryParameterOrResultName createArbitraryParameterOrResultName()

      Specified by:
        `createArbitraryParameterOrResultName` in interface `DslFactory`
      Returns:
        a new object of class 'Arbitrary Parameter Or Result Name'.

    - #### createOperation

          public Operation createOperation()

      Specified by:
        `createOperation` in interface `DslFactory`
      Returns:
        a new object of class 'Operation'.

    - #### createStandardOperation

          public StandardOperation createStandardOperation()

      Specified by:
        `createStandardOperation` in interface `DslFactory`
      Returns:
        a new object of class 'Standard Operation'.

    - #### createCustomOperation

          public CustomOperation createCustomOperation()

      Specified by:
        `createCustomOperation` in interface `DslFactory`
      Returns:
        a new object of class 'Custom Operation'.

    - #### createValueOrEnumValueOrOperationCollection

          public ValueOrEnumValueOrOperationCollection createValueOrEnumValueOrOperationCollection()

      Specified by:
        `createValueOrEnumValueOrOperationCollection` in interface `DslFactory`
      Returns:
        a new object of class 'Value Or Enum Value Or Operation Collection'.

    - #### createValueOrEnumValueOrOperation

          public ValueOrEnumValueOrOperation createValueOrEnumValueOrOperation()

      Specified by:
        `createValueOrEnumValueOrOperation` in interface `DslFactory`
      Returns:
        a new object of class 'Value Or Enum Value Or Operation'.

    - #### createValue

          public Value createValue()

      Specified by:
        `createValue` in interface `DslFactory`
      Returns:
        a new object of class 'Value'.

    - #### createConstantValue

          public ConstantValue createConstantValue()

      Specified by:
        `createConstantValue` in interface `DslFactory`
      Returns:
        a new object of class 'Constant Value'.

    - #### createStaticValue

          public StaticValue createStaticValue()

      Specified by:
        `createStaticValue` in interface `DslFactory`
      Returns:
        a new object of class 'Static Value'.

    - #### createIntegerValue

          public IntegerValue createIntegerValue()

      Specified by:
        `createIntegerValue` in interface `DslFactory`
      Returns:
        a new object of class 'Integer Value'.

    - #### createDecimalValue

          public DecimalValue createDecimalValue()

      Specified by:
        `createDecimalValue` in interface `DslFactory`
      Returns:
        a new object of class 'Decimal Value'.

    - #### createStringValue

          public StringValue createStringValue()

      Specified by:
        `createStringValue` in interface `DslFactory`
      Returns:
        a new object of class 'String Value'.

    - #### createRegexValue

          public RegexValue createRegexValue()

      Specified by:
        `createRegexValue` in interface `DslFactory`
      Returns:
        a new object of class 'Regex Value'.

    - #### createBooleanValue

          public BooleanValue createBooleanValue()

      Specified by:
        `createBooleanValue` in interface `DslFactory`
      Returns:
        a new object of class 'Boolean Value'.

    - #### createDateValue

          public DateValue createDateValue()

      Specified by:
        `createDateValue` in interface `DslFactory`
      Returns:
        a new object of class 'Date Value'.

    - #### createIsoDateValue

          public IsoDateValue createIsoDateValue()

      Specified by:
        `createIsoDateValue` in interface `DslFactory`
      Returns:
        a new object of class 'Iso Date Value'.

    - #### createEuropeanDateValue

          public EuropeanDateValue createEuropeanDateValue()

      Specified by:
        `createEuropeanDateValue` in interface `DslFactory`
      Returns:
        a new object of class 'European Date Value'.

    - #### createUSDateValue

          public USDateValue createUSDateValue()

      Specified by:
        `createUSDateValue` in interface `DslFactory`
      Returns:
        a new object of class 'US Date Value'.

    - #### createTimeValue

          public TimeValue createTimeValue()

      Specified by:
        `createTimeValue` in interface `DslFactory`
      Returns:
        a new object of class 'Time Value'.

    - #### createIsoTimeValue

          public IsoTimeValue createIsoTimeValue()

      Specified by:
        `createIsoTimeValue` in interface `DslFactory`
      Returns:
        a new object of class 'Iso Time Value'.

    - #### createSimple24HrsTimeValue

          public Simple24HrsTimeValue createSimple24HrsTimeValue()

      Specified by:
        `createSimple24HrsTimeValue` in interface `DslFactory`
      Returns:
        a new object of class 'Simple24 Hrs Time Value'.

    - #### createSimple12HrsTimeValue

          public Simple12HrsTimeValue createSimple12HrsTimeValue()

      Specified by:
        `createSimple12HrsTimeValue` in interface `DslFactory`
      Returns:
        a new object of class 'Simple12 Hrs Time Value'.

    - #### createDateAndTimeValue

          public DateAndTimeValue createDateAndTimeValue()

      Specified by:
        `createDateAndTimeValue` in interface `DslFactory`
      Returns:
        a new object of class 'Date And Time Value'.

    - #### createIsoDateAndTimeValue

          public IsoDateAndTimeValue createIsoDateAndTimeValue()

      Specified by:
        `createIsoDateAndTimeValue` in interface `DslFactory`
      Returns:
        a new object of class 'Iso Date And Time Value'.

    - #### createEuropeanDateAnd24HrsTimeValue

          public EuropeanDateAnd24HrsTimeValue createEuropeanDateAnd24HrsTimeValue()

      Specified by:
        `createEuropeanDateAnd24HrsTimeValue` in interface `DslFactory`
      Returns:
        a new object of class 'European Date And24 Hrs Time Value'.

    - #### createEuropeanDateAnd12HrsTimeValue

          public EuropeanDateAnd12HrsTimeValue createEuropeanDateAnd12HrsTimeValue()

      Specified by:
        `createEuropeanDateAnd12HrsTimeValue` in interface `DslFactory`
      Returns:
        a new object of class 'European Date And12 Hrs Time Value'.

    - #### createUSDateAnd12HrsTimeValue

          public USDateAnd12HrsTimeValue createUSDateAnd12HrsTimeValue()

      Specified by:
        `createUSDateAnd12HrsTimeValue` in interface `DslFactory`
      Returns:
        a new object of class 'US Date And12 Hrs Time Value'.

    - #### createJavaConstantValue

          public JavaConstantValue createJavaConstantValue()

      Specified by:
        `createJavaConstantValue` in interface `DslFactory`
      Returns:
        a new object of class 'Java Constant Value'.

    - #### createVariable

          public Variable createVariable()

      Specified by:
        `createVariable` in interface `DslFactory`
      Returns:
        a new object of class 'Variable'.

    - #### createVariableVariable

          public VariableVariable createVariableVariable()

      Specified by:
        `createVariableVariable` in interface `DslFactory`
      Returns:
        a new object of class 'Variable Variable'.

    - #### createConstant

          public Constant createConstant()

      Specified by:
        `createConstant` in interface `DslFactory`
      Returns:
        a new object of class 'Constant'.

    - #### createNullValue

          public NullValue createNullValue()

      Specified by:
        `createNullValue` in interface `DslFactory`
      Returns:
        a new object of class 'Null Value'.

    - #### createInexistentValue

          public InexistentValue createInexistentValue()

      Specified by:
        `createInexistentValue` in interface `DslFactory`
      Returns:
        a new object of class 'Inexistent Value'.

    - #### createEmptyValue

          public EmptyValue createEmptyValue()

      Specified by:
        `createEmptyValue` in interface `DslFactory`
      Returns:
        a new object of class 'Empty Value'.

    - #### createEnumValue

          public EnumValue createEnumValue()

      Specified by:
        `createEnumValue` in interface `DslFactory`
      Returns:
        a new object of class 'Enum Value'.

    - #### createNestedObject

          public NestedObject createNestedObject()

      Specified by:
        `createNestedObject` in interface `DslFactory`
      Returns:
        a new object of class 'Nested Object'.

    - #### createTypedNestedObject

          public TypedNestedObject createTypedNestedObject()

      Specified by:
        `createTypedNestedObject` in interface `DslFactory`
      Returns:
        a new object of class 'Typed Nested Object'.

    - #### createKeyValuePair

          public KeyValuePair createKeyValuePair()

      Specified by:
        `createKeyValuePair` in interface `DslFactory`
      Returns:
        a new object of class 'Key Value Pair'.

    - #### createJavaClassReference

          public JavaClassReference createJavaClassReference()

      Specified by:
        `createJavaClassReference` in interface `DslFactory`
      Returns:
        a new object of class 'Java Class Reference'.

    - #### createMethodReference

          public MethodReference createMethodReference()

      Specified by:
        `createMethodReference` in interface `DslFactory`
      Returns:
        a new object of class 'Method Reference'.

    - #### createJavaConstantReference

          public JavaConstantReference createJavaConstantReference()

      Specified by:
        `createJavaConstantReference` in interface `DslFactory`
      Returns:
        a new object of class 'Java Constant Reference'.

    - #### createExecutionMultiplier

          public ExecutionMultiplier createExecutionMultiplier()

      Specified by:
        `createExecutionMultiplier` in interface `DslFactory`
      Returns:
        a new object of class 'Execution Multiplier'.

    - #### createDocumentationComment

          public DocumentationComment createDocumentationComment()

      Specified by:
        `createDocumentationComment` in interface `DslFactory`
      Returns:
        a new object of class 'Documentation Comment'.

    - #### createNull

          public Null createNull()

      Specified by:
        `createNull` in interface `DslFactory`
      Returns:
        a new object of class 'Null'.

    - #### createInexistent

          public Inexistent createInexistent()

      Specified by:
        `createInexistent` in interface `DslFactory`
      Returns:
        a new object of class 'Inexistent'.

    - #### createEmpty

          public Empty createEmpty()

      Specified by:
        `createEmpty` in interface `DslFactory`
      Returns:
        a new object of class 'Empty'.

    - #### getDslPackage

          public DslPackage getDslPackage()

      Specified by:
        `getDslPackage` in interface `DslFactory`
      Returns:
        the package supported by this factory.

    - #### getPackage

          @Deprecated
          public static DslPackage getPackage()

      Deprecated.